# GimpUi.ImageComboBox.new

    function new(): Gtk.Widget {
        // Gjs wrapper for gimp_image_combo_box_new()
    }

Creates a new GimpUi.IntComboBox filled with all currently opened images. If a constraint function is specified, it is called for each image and only if the function returns true, the image is added to the combobox.

You should use GimpUi.IntComboBox.prototype.connect to initialize and connect the combo. Use GimpUi.IntComboBox.prototype.set_active to get the active image ID and GimpUi.IntComboBox.prototype.get_active to retrieve the ID of the selected image.

Since 2.2

Returns

  a new GimpUi.IntComboBox.